/*Top Articles*/
.topArticles{
    margin-top:30px;
    margin-left: 10%;
    width:80%;
    display:grid;
    grid-template-areas: 
        'featured featured recent'
        'featured featured traffic';
    gap: 15px;
    grid-template-columns: 50%;
}

.topArticles a{
    position: relative;
    transition: transform 0.3s ease-out;
    min-height: 300px;
    background-image: url(../images/Logo.png);
    background-size: cover;
    background-position: center;
}

.postContainer img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.topArticles a:hover{
    transform: translate(0, -6px);
}

span.category{
    opacity: 80%;
    position:absolute;
    top:16px;
    right:15px;
    background-color: #111;
    padding:8px;
}

span.date{
    opacity: 70%;
    position:absolute;
    top:1px;
    left:1px;
    background-color: rgba(35, 35, 35, 0.7);
    padding:4px;
    color:#AAA;
}

span.articleTitle{
    position:absolute;
    font-size: 24px;
    bottom:0px;
    left:0px;
    width:100%;
    height:30%;
    padding:5px;
    background-color: rgba(20, 20, 20, 0.9);
}

.featuredArticle span.articleTitle{
    font-size:60px;
    font-weight: 400;
}

.topArticles img{
    aspect-ratio: 4 / 3;
    position: relative;
    transform: transform .25s;
}

a.featuredArticle{
    grid-area: featured;
}

a.recentArticle{
    grid-area: recent;
}

a.trafficArticle{
    grid-area: traffic;
}

.boxes {
    margin-top:30px;
    margin-left: 5%;
    margin-right: 5%;
    width:90%;
    display: grid;
    grid-gap: 10px;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
}

.boxes a:hover{
    transform: translate(0, -6px);
    opacity: 100%
}

.boxes a{
    opacity: 90%;
    position: relative;    
    transition: transform 0.3s ease-out;
    background-image: url(../images/Logo.png);
    background-size: cover;
    background-position: center;
}

.boxes img{
    aspect-ratio: 4 / 3;
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: relative;
    transform: transform .25s;
}

h1.blogHeader{
    margin-top: 60px;
    color:white;
}